/*
+------------------------------------------------------------------+
|             ____ _               _        __  __ _  __           |
|            / ___| |__   ___  ___| | __   |  \/  | |/ /           |
|           | |   | '_ \ / _ \/ __| |/ /   | |\/| | ' /            |
|           | |___| | | |  __/ (__|   <    | |  | | . \            |
|            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
|                                                                  |
| Copyright Mathias Kettner 2012             mk@mathias-kettner.de |
+------------------------------------------------------------------+

This file is part of Check_MK.
The official homepage is at http://mathias-kettner.de/check_mk.

check_mk is free software;  you can redistribute it and/or modify it
under the  terms of the  GNU General Public License  as published by
the Free Software Foundation in version 2.  check_mk is  distributed
in the hope that it will be useful, but WITHOUT ANY WARRANTY;  with-
out even the implied warranty of  MERCHANTABILITY  or  FITNESS FOR A
PARTICULAR PURPOSE. See the  GNU General Public License for more de-
ails.  You should have  received  a copy of the  GNU  General Public
License along with GNU Make; see the file  COPYING.  If  not,  write
to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
Boston, MA 02110-1301 USA.

*/


/*-------------------------------------------------------------------------.
|                     __        ___  _____ ___                             |
|                     \ \      / / \|_   _/ _ \                            |
|                      \ \ /\ / / _ \ | || | | |                           |
|                       \ V  V / ___ \| || |_| |                           |
|                        \_/\_/_/   \_\_| \___/                            |
|                                                                          |
+--------------------------------------------------------------------------+
| Styles used in WATO.                                                     |
'-------------------------------------------------------------------------*/


.wato {
  color: $theme-color-text;
}

/* Icon image place inline in some documentation text */
/* TODO: Reproduce this html element */
.wato img.icon.docu {
  width: 14px;
  height: 14px;
  vertical-align: middle;
}

.wato table.data {
  th {
    background: transparent;
    border-radius: 0;
  }

  /* TODO: No important styles */
  tr {
    background-color: transparent !important;
  }

  /* TODO: Reproduce this html element */
  td {
    &.select {
      width: 1px;
      text-align: center;
    }

    &.buttons, &.buttons a, &.buttons img {
      white-space: nowrap;
    }
  }
}

/* Tables renderes in forms. */
/* TODO: Reproduce these data tables within nform tables */
.wato table.nform table.data {
  box-shadow: 1px 1px 2px #444;

  th {
    background-color: #527280;
  }
}

.wato th {
  /* TODO: Reproduce this html element */
  &.left {
    border-left-style: none;
    border-radius: 4px 0 0 0;
  }

  /* TODO: Reproduce these .right elements */
  &.right {
    border-right-style: none;
    border-radius: 0 4px 0 0;
  }
}

.wato td.right {
  text-align: right;
}

/* WATO configuration forms */
/* TODO: Reproduce all table.form elements */
.wato table.form {
  width: 100%;
  margin-left: 0;

  td {
    &.legend i, &.title i {
      margin-top: 13px;
    }

    &.legend {
      width: 300px;

      h3 {
        padding: 0;
        margin: 0 0 5px;
        font-size: 12px;
        font-weight: normal;
      }
    }

    /* Foldable sections in host properties */
    &.title i {
      padding-bottom: 8px;
      font-weight: normal;
      border-top-style: solid;
    }

    &.checkbox {
      width: 20px;
      text-align: center;
    }
  }
}

.wato form.new_rule {
  margin: 10px 0;
}

/* TODO: Reproduce this html element */
.wato div.sitestatus {
  padding: 0 10px;
  font-size: 9px;
  font-weight: bold;
  text-align: center;
  vertical-align: middle;
  border-style: solid;
  border-width: 1px;
  border-radius: 3px;
}

.wato div.connection_status {
  display: inline-block;
}

.wato table.auditlog {
  td.nobreak {
    white-space: nowrap;
  }

  td.fill {
    width: 100%;
  }

  img {
    float: none;
    width: 14px;
    height: 14px;
    padding: 0;
    margin: 0 5px 0 0;
    border-style: none;
  }
}

/* TODO: Reproduce these .foreignchanges elements */
.wato table.foreignchanges {
  margin-top: 5px;
  margin-bottom: 5px;
  margin-left: 20px;
  border-spacing: 3px;

  td {
    padding: 2px 8px;
    margin: 2px;
    background-color: #ff0;
  }
}

.wato img.foreignchanges {
  float: left;
  margin-right: 10px;
}

/* TODO: Reproduce these .dns .dnserror and .error elements */
.wato td.dns {
  color: #666;
}

.wato td.dnserror {
  color: #f00;
}

.wato td.error {
  color: #f00;
}

.wato div.inherited {
  color: #444;

  a {
    color: #444;
  }

  b {
    font-weight: normal;
    color: black;
  }
}

.wato td.inherited {
  color: #666;
}

/* host validation error */
table.validationerror  {
  width: 100%;

  td.img {
    width: 68px;
  }

  img.icon {
    width: 48px;
    height: 48px;
    margin-top: 10px;
    margin-right: 15px;
    margin-left: 5px;
  }
}

/* bulk actions in host table */
.wato td.bulkactions {
  text-align: right;

  &.service_discovery {
    text-align: left;
  }

  select {
    width: auto;
  }
}

table.data tr.data > td.bulkactions {
  background: transparent;
  border: none;
}


a.service_button.disabled {
  pointer-events: none;
  cursor: default;
  filter: grayscale(100%);
  -webkit-filter: grayscale(100%);
  -moz-filter: grayscale(100%);
  -ms-filter: grayscale(100%);
  -o-filter: grayscale(100%);
  -webkit-filter: grayscale(1);
}

.wato table.data tr.data td.bulksearch {
  padding-right: 0;
  white-space: nowrap;

  div.togglebutton.checkbox {
    margin-left: 0;
  }
}

table.data tr.data > td.bulksearch {
  background: transparent;
  border: none;

  div.togglebutton.checkbox {
    display: inline-block;
    width: 32px;
    height: 32px;
    margin-top: 8px;
    margin-right: 8px;
  }
}

.wato td.bulksearch {
  input[type=text] {
    width: 150px;
    margin-right: 5px;
  }

  .togglebutton {
    margin-bottom: 0;
  }

  input.text,
  select.text,
  textarea.text,
  .text#mk_side_search_field {
    width: auto;
  }
}

table.data tr.data > td.bulksearch div.togglebutton.checkbox a,
table.data tr.data > td.bulksearch div.togglebutton.checkbox body.main .popup_menu span,
body.main .popup_menu table.data tr.data > td.bulksearch div.togglebutton.checkbox span {
  height: 32px;
  padding: 6px;
  box-sizing: border-box;
}

/* Path to current folder at top of screen */
.wato div.folderpath {
  position: relative;
  left: 4px;
  height: auto;
  margin-top: -5px;
  margin-bottom: 8px;

  ul {
    padding-left: 0;
    list-style-type: none;

    li {
      &:before {
        position: absolute;
        top: 0;
        left: 0;
        font-size: 29px;
        font-weight: 800;
        color: $theme-color-main;
        content: "»";
      }

      &:first-child:before {
        content: " ";
      }
    }

    &:after {
      display: block;
      width: 0;
      height: 0;
      clear: both;
      content: " ";
    }
  }

  li {
    position: relative;
    display: block;
    float: left;
    height: 44px;
    padding-right: 20px; /* spacing for the image divs left/right */
    padding-left: 20px;
    margin-left: -13px; /* move left border of all items 22px left to make the items overlap */
    color: #fff;
    background: transparent;

    a {
      text-decoration: none;
    }

    div.content {
      height: auto;
      padding: 4px;
      line-height: 33px;
      color: $theme-color-text;
      background: none;
    }

    select {
      position: relative;
      right: -6px;
      z-index: 200;
      height: auto;
      padding: 2px 0 2px 4px;
      margin: 0;
      font-size: 12px;
      font-weight: normal;
      color: #fff;
      background: $theme-color-white;
      border: 1px solid $theme-color-table-border;
      box-shadow: none;
    }

    &:hover {
      div.content {
        background-image: none;
      }

      select {
        background: $theme-color-table-background;
      }
    }

    select option {
      color: $theme-color-text;
      background-color: $theme-color-white;
    }

    .left,
    .right {
      display: none;
    }
  }

  li a,
  li body.main .popup_menu span,
  body.main .popup_menu li span {
    color: $theme-color-text;
  }
}

.wato div.floatfolder {
  position: relative;
  left: -14px;
  float: left;
  width: 180px;
  height: 140px;
  background-image: url("images/folder_closed.png");
  background-position: top left;
  background-repeat: no-repeat;

  .autherr {
    position: absolute;
    top: 28px;
    right: 19px;
    z-index: 500;
  }

  div.infos img {
    position: relative;
    top: -1px;
    width: 14px;
    height: 14px;
  }

  .edit {
    position: absolute;
    top: 20px;
    right: 47px;
  }

  div.popup_trigger {
    position: absolute;
    top: 20px;
    right: 25px;
  }

  .delete {
    position: absolute;
    top: 20px;
    right: 3px;
  }

  .infos {
    position: absolute;
    right: 24px;
    bottom: 24px;
    left: 24px;
    overflow: hidden;

    .infos .infos_content {
      right: 0;
      left: 0;
      overflow: hidden;
      font-size: $theme-font-size-main;
      color: #bde;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }

  &.open {
    background-image: url("images/folder_open.png");

    .infos {
      height: 50px;

      .infos_content {
        position: absolute;
        bottom: 0;
      }
    }
  }

  .title {
    position: absolute;
    right: 20px;
    bottom: -4px;
    left: 20px;
    padding: 0;
    overflow: hidden;
    color: #fff;
    text-align: left;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
    white-space: nowrap;

    a {
      position: relative;
      top: -2px;
      text-decoration: none;
    }
  }

  &:hover {
    cursor: pointer;

    a {
      text-decoration: underline;
    }
  }
}

.wato div.floatfolder div.title a,
.wato div.floatfolder div.title body.main .popup_menu span,
body.main .popup_menu .wato div.floatfolder div.title span,
.wato div.floatfolder.locked div.title {
  font-size: 13px;
  font-weight: 500;
  color: $theme-color-text;
}

.wato img.authicon {
  width: 28px;
  height: 28px;
  margin-right: 10px;
  vertical-align: middle;
}

.wato div.popup_menu {
  min-width: 137px;

  select {
    height: auto;
  }
}

.wato div.hoverarea {
  position: relative;
  top: 4px;
  left: 10px;
  z-index: 100;
  width: 154px;
  height: 40px;
}

.wato div.folder_foot {
  margin-bottom: 10px;
  clear: left;
}

///* Information boxes displayed directly in the data area */
//.wato div.info {
//    margin-top: 10px;
//    margin-bottom: 10px;
//    padding-left: 1px;
//    color: white;
//}
//
///* Controls for the audit log paged mechanism */
//.wato div.paged_controls {
//    float: right;
//    position: relative;
//    top: 3px;
//}
//
///* Special styles for configuration and rule editor */
//.wato div.rule {
//    width: 500px;
//    height: 140px;
//    border: 1px solid white;
//    background-color: rgba(255, 255, 255, 0.3);
//    margin-top: 10px;
//    border-radius: 4px;
//    position: relative;
//    top: 0px;
//    left: 0px;
//}
//
//.wato div.rule div.nr {
//    border-radius: 10px;
//    border: 1px solid white;
//    background-color: #fcd340;
//    color: black;
//    text-align: center;
//    width: 20px;
//    height: 20px;
//    position: absolute;
//    left: 9px;
//    top: 9px;
//}
//.wato div.rule div.nr b {
//    position: relative;
//    top: 3px;
//}
//
//.wato img.trans {
//    width: 20px;
//    height: 13px;
//}
//.wato td.value img {
//    width: 20px;
//    height: 20px;
//}
//.wato table.ruleeditor img,
//.wato img.ruleyesno {
//    width: 22px;
//    height: 22px;
//    position: relative;
//    top: -3px;
//}
//
//.wato div.rule div.title {
//    position: absolute;
//    top: 12px;
//    color: white;
//    font-size: 10pt;
//    font-weight: bold;
//}
//
//.wato div.rule div.conditions.title {
//    left: 40px;
//}
//.wato div.rule div.value.title {
//    left: 390px;
//}
//
//
//.wato div.rule div.box {
//    position: absolute;
//    top: 30px;
//    border: 1px solid white;
//    background-color: #a7bec3;
//    padding: 5px;
//    border-radius: 4px;
//    height: 90px;
//}
//
//.wato div.rule div.conditions.box {
//    left: 40px;
//    width: 330px;
//}
//
//.wato ul.conditions {
//    padding: 0;
//    margin-left: 15px;
//    margin-top: 0;
//    margin-bottom: 0;
//    list-style-type: square;
//}
//.wato ul.conditions li {
//    padding: 0;
//    margin: 0;
//}
//
//
//.wato div.rule div.condition {
//    float: none;
//}
//
//.wato div.rule div.value.box {
//    left: 390px;
//    width: 90px;
//}
//
//.wato form.rule_editor table.hosttags td.title {
//    min-width: 200px;
//}
//
//.wato form.rule_editor td.tag_sel {
//    vertical-align: middle;
//    display: table-cell;
//}
//
//.wato form.rule_editor td.tag_sel > div {
//    white-space: nowrap;
//}
//
//.wato table.itemlist td {
//    margin: 0;
//    padding: 0;
//}
//
///* This style destroys many other td styles since
//   it is too specific or too unspecific */
///* .wato table.form td.content td {
//    padding: 0;
//    vertical-align: middle;
//}*/
//
//
//.wato table.data.ruleset tr.disabled td * {
//    color: #999;
//    text-shadow: 0px 1px 0px #fff;
//}
//
//.wato table.data.ruleset.oddeven > tbody > tr.matches_search:nth-child(odd) {
//    background-color: #bfd;
//}
//
//.wato table.data.ruleset.oddeven > tbody > tr.matches_search:nth-child(even) {
//    background-color: #afb;
//}
//
///* Special styling for Timeperiods editor */
//.wato table.timeperiod td.name {
//    width: 195px;
//}
//
//form#form_timeperiod td.vlof_content input.text:first-child {
//    margin-right: 10px;
//    width: 189px;
//}
//form#form_timeperiod td.vlof_content {
//    background-image: none;
//}
//
//
///* Value editor */
//.wato table.data.globalvars td {
//    vertical-align: top;
//}
//
//.wato pre.ve_textarea {
//    padding: 0px;
//    margin: 0px;
//    font-size: 8pt;
//}
//
//.wato table.data.globalvars img.iconbutton {
//    width: 60px;
//    height: 16px;
//}
//
///* main menu */
//
//form.search, div.filter_buttons {
//    padding-top: 10px;
//    clear: both;
//    display: inline-block;
//    margin-bottom: 10px;
//}
//
//.wato div.mainmenu a {
//    width: 317px;
//    height: 76px;
//    display: block;
//    float: left;
//    position: relative;
//    margin: 0px 2px 2px 0px;
//    padding: 0;
//}
//
//.wato div.mainmenu div {
//    text-decoration: none;
//    color: white;
//}
//.wato div.mainmenu img {
//    position: absolute;
//    top: 13px;
//    left: 13px;
//    width: 48px;
//    height: 48px;
//}
//.wato div.mainmenu div.title {
//    font-weight: bold;
//    position: absolute;
//    left: 72px;
//    top: 14px;
//}
//.wato div.mainmenu div.subtitle {
//    position: absolute;
//    left: 72px;
//    top: 32px;
//    width: 237px;
//    overflow: hidden;
//}
//
///* Special styles for roles editor (permissions) */
//.wato table.form table.permissions {
//    border-collapse: collapse;
//    border-spacing: 0px;
//    width: 100%;
//}
//.wato table.form table.permissions td {
//    /* border-top: 1px dotted white; */
//    padding-top: 2px;
//}
//.wato table.form table.permissions td.select {
//    width: 120px;
//}
//.wato table.form table.permissions td.descr {
//    vertical-align: middle;
//}
//.wato table.form table.permissions select {
//    width: 110px;
//}
//
///* page "Rulesets" */
//.wato td.rulesets {
//    padding-left: 0px;
//}
//.wato .rulesets table.nform > tbody > tr > td.container {
//    height: auto;
//}
//div.rulesets table.nform tr.bottom td {
//    height: 5px;
//}
//
//.wato .rulesets div.ruleset {
//    float: left;
//    margin-left: 10px;
//    margin-right: 10px;
//}
//
//.wato .rulesets div.ruleset div.text {
//    width: 276px;
//    padding-right: 3px;
//    overflow: hidden;
//    float: left;
//}
//.wato .rulesets div.ruleset div {
//    height: 16px;
//}
//
//.wato .rulesets div.ruleset a {
//    text-decoration: none;
//    color: black;
//    white-space: nowrap;
//    margin-right: 3px;
//}
//.wato .rulesets div.ruleset a:hover {
//    text-decoration: underline;
//}
//
//.wato .rulesets div.ruleset .dots {
//    overflow: hidden;
//}
//
//.wato .rulesets div.ruleset div.rulecount {
//    width: 16px;
//    float: left;
//    text-align: right;
//}
//
//.wato .rulesets div.ruleset a.nonzero {
//    /* font-weight: bold; */
//}
//.wato .rulesets div.ruleset a.zero {
//}
//
//.wato .rulesets div.ruleset div.rulecount.nonzero {
//    /* font-weight: bold; */
//}
//
//.wato .rulesets div.ruleset div.rulecount.zero {
//    /* color: #444; */
//}
//
//.wato .rulesets div.ruleset.nofloat {
//    float: none;
//    clear: left;
//}
//
//.wato .rulesets div.ruleset div.help {
//    height: auto;
//    clear: left;
//}
//
//input.toggle_timespecific_parameter {
//    margin-top: 5px;
//    display: block;
//}
//
///* Page edit_ruleset */
//div.varname {
//    color: white;
//    font-family: monospace, sans-serif;
//}
//
///* page "global settings*/
//.wato div.globalvars a {
//    text-decoration: none;
//    color: black;
//}
//.wato div.globalvars a:hover {
//    text-decoration: underline;
//}
//
//.wato div.globalvars td.simple a.modified,
//.wato div.globalvars td.simple div.toggle_switch_container.modified,
//.wato div.globalvars td.content a.modified > table {
//    border-radius: 5px 5px 5px 5px;
//    border: 1px solid #cdf;
//    box-shadow: 3px 3px 5px #eee inset;
//    margin-left: -4px;
//    padding-bottom: 18px;
//    padding: 1px 4px 2px 4px;
//}
//
//.wato div.globalvars td.simple a.modified.globally,
//.wato div.globalvars td.simple div.toggle_switch_container.modified.globally,
//.wato div.globalvars td.content a.modified.globally > table {
//    box-shadow: 3px 3px 5px #8bc7e5 inset;
//}
//
//.wato div.globalvars td.simple div.toggle_switch_container {
//    width: 56px;
//}
//
//.wato div.globalvars a.modified table.vs_dict_text {
//    border-collapse: separate;
//}
//
//.wato div.globalvars div.title a.modified {
//    box-shadow: none;
//    border: none;
//    /* font-weight: bold; */
//}
//
//.wato div.globalvars td.content img.iconbutton {
//    width: 60px;
//    height: 16px;
//}
//
//.wato div.globalvars td.legend {
//    padding-top: 0px;
//}
//
//.wato div.globalvars td.legend {
//    width: 350px;
//}
//
//.wato div.globalvars td.legend div.title {
//    max-width: 350px;
//}
//
///*.wato div.globalvars td {
//    height: 20px;
//}*/
//
///* Table in page "Global variables" */
//.wato table.data.globalvars {
//    width: 100%;
//}
//.wato table.data.globalvars td.title {
//    width: 430px;
//}
//.wato table.data.globalvars td.varname {
//    width: 300px;
//}
//
//.wato table.changes tr.foreign td {
//    text-decoration: italic;
//}
//
///* activation */
//
//.wato table.data.activation a.disabled {
//    pointer-events: none;
//}
//
//.wato table.changes tr.foreign.not_permitted td {
//    color: #f00;
//}
//
//.wato table.changes {
//    width: 100%;
//}
//
//.wato table.data div.act_success {
//}
//
//.wato table.data div.act_success img {
//    width: 18px;
//    height: 18px;
//    vertical-align: middle;
//}
//
///* Replication */
//.wato table.data td.repprogress {
//    width: 160px;
//    position: relative;
//    padding: 0;
//    margin: 0;
//}
//
//.wato td.repprogress div.msg {
//    position: absolute;
//    z-index: 20;
//    width: 160px;
//    text-align: center;
//    top: 6px;
//    left: 0;
//    height: 16px;
//}
//
//.wato td.repprogress div.progress {
//    position: absolute;
//    top: 0;
//    left: 0;
//    z-index: 0;
//    top: 3px;
//
//    height: 16px;
//
//    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#00bfe2+0,5dddf5+57,05c1e3+74,00bee0+100 */
//    background: #00bfe2; /* Old browsers */
//    background: -moz-linear-gradient(top, #00bfe2 0%, #5dddf5 57%, #05c1e3 74%, #00bee0 100%); /* FF3.6-15 */
//    background: -webkit-linear-gradient(top, #00bfe2 0%,#5dddf5 57%,#05c1e3 74%,#00bee0 100%); /* Chrome10-25,Safari5.1-6 */
//    background: linear-gradient(to bottom, #00bfe2 0%,#5dddf5 57%,#05c1e3 74%,#00bee0 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
//    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00bfe2', endColorstr='#00bee0',GradientType=0 ); /* IE6-9 */
//
//    padding-top: 4px;
//    font-size: 8pt;
//    box-shadow: 0.5px 0.5px 1px #224466 inset;
//    color: black;
//}
//
//.wato td.repprogress div.progress.state_success {
//    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#bfd255+0,8eb92a+50,72aa00+51,9ecb2d+100;Green+Gloss */
//    background: #bfd255; /* Old browsers */
//    background: -moz-linear-gradient(top, #bfd255 0%, #8eb92a 50%, #72aa00 51%, #9ecb2d 100%); /* FF3.6-15 */
//    background: -webkit-linear-gradient(top, #bfd255 0%,#8eb92a 50%,#72aa00 51%,#9ecb2d 100%); /* Chrome10-25,Safari5.1-6 */
//    background: linear-gradient(to bottom, #bfd255 0%,#8eb92a 50%,#72aa00 51%,#9ecb2d 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
//    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#bfd255', endColorstr='#9ecb2d',GradientType=0 ); /* IE6-9 */
//}
//
//.wato td.repprogress div.progress.state_error {
//    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#f3c5bd+0,e86c57+50,ea2803+51,ff6600+75,c72200+100;Red+Gloss */
//    background: #f3c5bd; /* Old browsers */
//    background: -moz-linear-gradient(top, #f3c5bd 0%, #e86c57 50%, #ea2803 51%, #ff6600 75%, #c72200 100%); /* FF3.6-15 */
//    background: -webkit-linear-gradient(top, #f3c5bd 0%,#e86c57 50%,#ea2803 51%,#ff6600 75%,#c72200 100%); /* Chrome10-25,Safari5.1-6 */
//    background: linear-gradient(to bottom, #f3c5bd 0%,#e86c57 50%,#ea2803 51%,#ff6600 75%,#c72200 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
//    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f3c5bd', endColorstr='#c72200',GradientType=0 ); /* IE6-9 */
//}
//
//.wato td.repprogress div.progress.state_warning {
//    /* Permalink - use to edit and share this gradient: http://colorzilla.com/gradient-editor/#fceabb+0,fccd4d+50,f8b500+51,fbdf93+100;Orange+3D+%235 */
//    background: #fceabb; /* Old browsers */
//    background: -moz-linear-gradient(top, #fceabb 0%, #fccd4d 50%, #f8b500 51%, #fbdf93 100%); /* FF3.6-15 */
//    background: -webkit-linear-gradient(top, #fceabb 0%,#fccd4d 50%,#f8b500 51%,#fbdf93 100%); /* Chrome10-25,Safari5.1-6 */
//    background: linear-gradient(to bottom, #fceabb 0%,#fccd4d 50%,#f8b500 51%,#fbdf93 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
//    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#fceabb', endColorstr='#fbdf93',GradientType=0 ); /* IE6-9 */
//}
//
//.wato td.details,
//.wato th.header_details,
//.wato td.repprogress,
//.wato th.header_repprogress {
//    display: none;
//}
//
//.wato td.tag-ellipsis {
//    max-width: 300px;
//}
//
//.wato td#repmsg_local {
//    width: 280px;
//}
//
//tr.hidden {
//    display: none;
//}
//
//table.data tr.notification_context table {
//    margin: 5px;
//}
//
//table.data tr.notification_context table th,
//table.data tr.notification_context table td {
//    font-family: monospace;
//}
//
//table.data tr.data.dcd_log_entries > td {
//    font-family: monospace, sans-serif;
//    background-color: #000000;
//    color: #ffffff;
//}
//
//table.data tr.data.dcd_log_entries pre {
//    overflow-y: scroll;
//    resize:both;
//    max-height: 300px;
//    text-overflow: ellipsis;
//}
//
///*-------------------------------------------------------------------------.
//|               ____                                                       |
//|              |  _ \ _ __ ___   __ _ _ __ ___  ___ ___                    |
//|              | |_) | '__/ _ \ / _` | '__/ _ \/ __/ __|                   |
//|              |  __/| | | (_) | (_| | | |  __/\__ \__ \                   |
//|              |_|   |_|  \___/ \__, |_|  \___||___/___/                   |
//|                               |___/                                      |
//+--------------------------------------------------------------------------+
//| Interactive progress bar, e.g. used in bulk inventory.                   |
//'-------------------------------------------------------------------------*/
//
//.wato table.progress {
//    background-color: rgba(255, 255, 255, 0.3);
//    width: 50%;
//    border: 1px solid #000;
//    color: black;
//}
//
//.wato table.progress th {
//    background-color: #fff;
//    padding: 3px 0px;
//}
//
///* Log window */
//.wato table.progress td.log > div {
//    background-color: rgba(255, 255, 255, 0.3);
//    border: 1px solid #fff;
//    padding: 5px;
//    height: 250px;
//    overflow: auto;
//    text-align: left;
//}
//
//.wato table.progress td.log {
//    font-family: monospace, sans-serif;
//    padding: 12px 12px 0px 12px;
//}
//
//.wato table.progress td.log div.exc {
//    border: 1px solid #ff0000;
//    margin: 10px;
//    padding: 5px;
//}
//
///* progress bar */
//.wato table.progress td.bar {
//    padding: 0 12px 0 12px;
//    height: 46px;
//}
//
//.wato table.progress td.bar table {
//    position: relative;
//    top: 12px;
//    width: 100%;
//    height: 22px;
//    background-color: #fff;
//    border-spacing: 1px 2px;
//}
//
//.wato table.progress td.bar #progress_title {
//    position: relative;
//    top: -6px;
//    left: 0px;
//    width: 100%;
//    height: 0px;
//    text-align: center;
//    white-space: nowrap;
//    float: left;
//    z-index: 40;
//    font-weight: bold;
//}
//
//.wato table.progress td.bar img.glass {
//    position: relative;
//    top: -10px;
//    width: 100%;
//    height: 22px;
//    z-index: 30;
//}
//
//.wato table.progress td.bar td.left {
//    background-color: #4080ff;
//    width: 0%;
//}
//.wato table.progress td.bar td.right {
//    width: 100%;
//}
//
//.wato #progress_bar.finished td.left {
//    background-color: #80ff00;
//    padding: 0px;
//}
//.wato #progress_bar.finished td.right {
//    width: 0px;
//}
//
///* Statistics table */
//.wato table.progress td.stats {
//    padding: 0px 12px 12px 12px;
//}
//.wato table.progress td.stats table {
//    border-collapse: collapse;
//    border-spacing: 0px;
//    border: 1px solid #fff;
//}
//.wato table.progress td.stats th {
//    text-align: left;
//    background-color: transparent;
//    padding-right: 3em;
//    padding-left: 6px;
//}
//.wato table.progress td.stats th, .wato table.progress td.stats td {
//    border-bottom: 1px solid #fff;
//    padding-top: 3px;
//    padding-bottom: 3px;
//}
//
//.wato table.progress td.stats td {
//    background-color: rgba(255, 255, 255, 0.3);
//    text-align: right;
//    width: 4em;
//    padding-right: 6px;
//}
//
///* Buttons */
//.wato table.progress td.buttons {
//    padding: 0px 12px 12px 12px;
//    text-align: right;
//    vertical-align: bottom;
//}
//
//.wato div.error div.err {
//    background-color: yellow;
//    color: #000;
//    font-weight: bold;
//    width: 100%;
//    margin: 2px;
//    padding: 2px 5px;
//    float: left;
//    border-radius: 3px;
//    position: relative;
//    left: -8px;
//    opacity: 0.90;
//}
//
///* Logwatch pattern editor */
//
//.logwatch_try input.match {
//    width: 99%;
//}
//
//table.logwatch tr.noreason {
//    color: #898989;
//}
//
//table.logwatch span.match {
//    border: 1px solid #49768B;
//    border-radius: 4px;
//    background-color: #fff;
//    padding: 0 2px 2px 2px;
//}
//
//table.multisite_conn_method td {
//    padding: 0px;
//    height: 22px;
//    vertical-align: top;
//}
//table.multisite_conn_method td input {
//    height: 18px;
//}
//
///* BI Editor */
//
//table.data td.bi_rule_tree b.treeangle {
//    color: black;
//    font-weight: normal;
//}
//
//table.data td.bi_rule_tree ul.treeangle {
//    margin: 1px 6px;
//}
//
//table.data td.bi_rule_tree ul.treeangle li {
//    margin: 0px 0px 0px 1px;
//    padding-left: 5px;
//    list-style: inside disc;
//    display: list-item;
//}
//
//table.data td.bi_rule_tree > li {
//    margin: 0px 0px 0px 1px;
//    padding-left: 5px;
//    list-style: inside none;
//    display: list-item;
//}
//
//
///*-Host Diag-----------------------------------------------------------.
//|              _   _           _     ____  _                           |
//|             | | | | ___  ___| |_  |  _ \(_) __ _  __ _               |
//|             | |_| |/ _ \/ __| __| | | | | |/ _` |/ _` |              |
//|             |  _  | (_) \__ \ |_  | |_| | | (_| | (_| |              |
//|             |_| |_|\___/|___/\__| |____/|_|\__,_|\__, |              |
//|                                                  |___/               |
//+---------------------------------------------------------------------*/
//
//.wato .diag_host div.success {
//    margin-top: 0;
//}
//
//.wato .diag_host td > h3 {
//    margin-top: 0;
//}
//
//.wato .diag_host table.nform {
//    width: 212px;
//}
//
//.wato .diag_host .test {
//    margin-bottom:15px;
//}
//
//.wato .diag_host .log,
//.backup_job .log {
//    height: 113px;
//    width: 700px;
//    font-family: monospace, sans-serif;
//    box-shadow: 1px 1px 3px #888 inset;
//    overflow-y: scroll;
//    padding: 5px 5px;
//    vertical-align: top;
//    background-color: #fff;
//    /* below resize option is css3 */
//    resize:both;
//}
//.backup_job .log pre {
//    margin: 2px;
//}
//.wato .diag_host .log.diag_success {
//    background-color: #efe;
//}
//.wato .diag_host .log.diag_failed {
//    background-color: #fee;
//}
//
//.wato .diag_host table.test td {
//    padding: 0;
//}
//
//.wato .diag_host table.test td.icons {
//    padding: 2px;
//}
//
//.wato .diag_host td.icons div {
//    position: relative;
//    width: 22px;
//    height: 120px;
//}
//
//.wato .diag_host td.icons div img {
//    margin-left: 2px;
//}
//
//.wato .diag_host td.icons img.retry {
//    position: absolute;
//    bottom: 0;
//    left: 0;
//}
//
///*--Settings---------------------------------------------------------------.
//|                ____       _   _   _                                      |
//|               / ___|  ___| |_| |_(_)_ __   __ _ ___                      |
//|               \___ \ / _ \ __| __| | '_ \ / _` / __|                     |
//|                ___) |  __/ |_| |_| | | | | (_| \__ \                     |
//|               |____/ \___|\__|\__|_|_| |_|\__, |___/                     |
//|                                           |___/                          |
//+--------------------------------------------------------------------------+
//| Settings for hosts and services (rule analysis)                          |
//'-------------------------------------------------------------------------*/
//table.setting td.reason {
//    float: none;
//    width: 180px;
//    display: inline-block;
//    color: white;
//    font-style: italic;
//}
//
//table.setting td.reason i { /* default value */
//    color: #b6c8d1;
//}
//
//table.setting td.reason a {
//    text-decoration: none;
//}
//table.setting td.reason a:hover {
//    text-decoration: underline;
//}
//
//table.setting td.settingvalue.used {
//}
//td.settingvalue.unused, td.settingvalue.unused td {
//    font-style: italic;
//    color: #256;
//}
//.wato table.nform div.title a {
//    color: black;
//    text-decoration: none;
//}
//.wato table.nform div.title a:hover {
//    text-decoration: underline;
//}
//
//table.nform.rulesettings td.legend {
//    width: 300px;
//}
//table.nform.rulesettings td.legend div.title {
//    max-width: 300px;
//}
//
///*--Profile Repl-----------------------------------------------------------.
//|          ____             __ _ _        ____            _                |
//|         |  _ \ _ __ ___  / _(_) | ___  |  _ \ ___ _ __ | |               |
//|         | |_) | '__/ _ \| |_| | |/ _ \ | |_) / _ \ '_ \| |               |
//|         |  __/| | | (_) |  _| | |  __/ |  _ <  __/ |_) | |               |
//|         |_|   |_|  \___/|_| |_|_|\___| |_| \_\___| .__/|_|               |
//|                                                  |_|                     |
//'-------------------------------------------------------------------------*/
//
//#profile_repl .site {
//    margin: 0 5px 5px 0;
//    padding: 2px;
//    border-radius: 1ex;
//    box-shadow: 0 0 3px #444;
//    background-color: #9dbecd;
//    border-color: #080;
//
//    width: 158px;
//    text-overflow: ellipsis;
//}
//
//#profile_repl div.site div, #profile_repl div.site span {
//    vertical-align: middle;
//    display: inline-block;
//}
//
//#profile_repl div.repl_status {
//    background-size: contain;
//}
//
//#profile_repl div.repl_locked {
//    background-image: url(images/icon_repl_locked.png);
//}
//
//#profile_repl div.repl_pending {
//    background-image: url(images/icon_repl_pending.png);
//}
//
//#profile_repl div.repl_failed {
//    background-image: url(images/icon_repl_failed.png);
//}
//
//#profile_repl div.repl_25 {
//    background-image: url(images/icon_repl_25.png);
//}
//
//#profile_repl div.repl_50 {
//    background-image: url(images/icon_repl_50.png);
//}
//
//#profile_repl div.repl_75 {
//    background-image: url(images/icon_repl_75.png);
//}
//
//#profile_repl div.repl_success {
//    background-image: url(images/icon_success.png);
//}
//
//.wato table.data.check_catalog td.title {
//    width: 500px;
//}
//
//.wato table.data.check_catalog td.name {
//    width: 200px;
//}
//
//.wato table.data.check_catalog td.agents {
//    width: 200px;
//}
//
///*--Best practices---------------------------------------------------------.
// |   ____            _                          _   _                       |
// |  | __ )  ___  ___| |_   _ __  _ __ __ _  ___| |_(_) ___ ___  ___         |
// |  |  _ \ / _ \/ __| __| | '_ \| '__/ _` |/ __| __| |/ __/ _ \/ __|        |
// |  | |_) |  __/\__ \ |_  | |_) | | | (_| | (__| |_| | (_|  __/\__ \        |
// |  |____/ \___||___/\__| | .__/|_|  \__,_|\___|\__|_|\___\___||___/        |
// |                        |_|                                               |
// '-------------------------------------------------------------------------*/
//
//.wato table.data.analyze_config {
//    width: 100%;
//}
//
//.wato table.data.analyze_config td.state div {
//    position: relative;
//    line-height: 20px;
//}
//
//.wato table.data.analyze_config th.header_state {
//    width: 100px;
//}
//
//.wato table.data.analyze_config td.state a {
//    background: transparent;
//    position: absolute;
//    right: 0;
//}
//
//.wato table.data.analyze_config td.state.acknowledged {
//    background-image: url("images/white_60percent.png");
//    background-repeat: repeat;
//}
//
//.wato table.data.analyze_config tr.ac_test_details td a {
//    text-decoration: underline;
//}
//
//.wato table.data.analyze_config tr.ac_test_details td a:hover {
//    text-decoration: none;
//}
